Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType app-deploymentType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}target-infoType
              {http://www.bea.com/ns/weblogic/90/domain}basic-deploymentType
                  {http://www.bea.com/ns/weblogic/90/domain}app-deploymentType

Model
  `<...>
  name?, notes?, target?, module-type?, compatibility-name?, source-path?, sub-deployment*, deployment-order?, install-dir?, plan-dir?, plan-path?, version-identifier?, validate-dd-security-data?, security-dd-model?, staging-mode?, alt-descriptor-path?, alt-wls-descriptor-path?, application-identifier?, application-name?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: libraryType
  Components using this type: none

Documentation

  Configuration bean for Libraries.

  MBean: `LibraryMBean`

  This MBean is used to configure all physical package types which can be deployed on a weblogic domain. For instance, EARs, standalone J2EE and non-J2EE modules.

  MBean: `AppDeploymentMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `module-type` optional The values match those defined by jsr88.
`string` | `compatibility-name` optional This is only set for beans created as a result of conversion from an 8.
`string` | `source-path` optional The path to the source of the deployment unit on admin server.
`anyType` | `sub-deployment` 0...∞ Targeting for subcomponents that differs from targeting for the component.
`int` | `deployment-order` optional A numerical value that indicates when this unit is deployed, relative to other DeployableUnits on a server, during startup.
`string` | `install-dir` optional The path to application's install-root directory, relative to the domain/config/deployments directory.
`string` | `plan-dir` optional The location of this application's configuration area.
`string` | `plan-path` optional The path to the deployment plan document on Administration Server.
`string` | `version-identifier` optional Uniquely identifies the application version across all versions of the same application.
`boolean` | `validate-dd-security-data` optional This MBean is used to configure all physical package types which can be deployed on a weblogic domain.
`annonymous type derived from string` | `security-dd-model` optional The security deployment model.
`string` | `staging-mode` optional The mode that specifies whether a deployment's files are copied from a source on the Administration Server to the Managed Server's staging area during application preparation.
`string` | `alt-descriptor-path` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `alt-wls-descriptor-path` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `application-identifier` optional The Application Identifier of the application version uniquely identifies the application version across all versions of all applications.
`string` | `application-name` optional The name of the application.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1